---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass018.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4BB98, symBinAddr: 0x8318, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4DAD8, symBinAddr: 0xA258, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4DEC0, symBinAddr: 0xA640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4EE60, symBinAddr: 0xB5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4EE68, symBinAddr: 0xB5E8, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B6C0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B6C4, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B6C8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B818, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B8D0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B8D4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B8D8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B8DC, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B8E0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B8E8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B900, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B908, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B910, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B918, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B920, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4B968, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4B970, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL10classBytes, symObjAddr: 0x4B978, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4B980, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x9107, offset: 0x9107, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4B990, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9120, offset: 0x9120, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4B9A0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9172, offset: 0x9172, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xADC, symSize: 0xA0 }
  - { offsetInCU: 0x9207, offset: 0x9207, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xAB4, symSize: 0x28 }
  - { offsetInCU: 0x926A, offset: 0x926A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xA34, symSize: 0x80 }
  - { offsetInCU: 0x94FE, offset: 0x94FE, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xB7C, symSize: 0x20C }
  - { offsetInCU: 0x96B7, offset: 0x96B7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xD88, symSize: 0x28 }
  - { offsetInCU: 0x9780, offset: 0x9780, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xDB0, symSize: 0xB0 }
  - { offsetInCU: 0x9877, offset: 0x9877, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xE60, symSize: 0xD8 }
  - { offsetInCU: 0x999C, offset: 0x999C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xF38, symSize: 0x24 }
  - { offsetInCU: 0x9A5F, offset: 0x9A5F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0xF5C, symSize: 0x168 }
  - { offsetInCU: 0x9C3B, offset: 0x9C3B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x10C4, symSize: 0x104 }
  - { offsetInCU: 0x9DB8, offset: 0x9DB8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x11C8, symSize: 0x154 }
  - { offsetInCU: 0x9F9C, offset: 0x9F9C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x131C, symSize: 0xAC }
  - { offsetInCU: 0xA09D, offset: 0xA09D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x13C8, symSize: 0x14 }
  - { offsetInCU: 0xA0D6, offset: 0xA0D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x13DC, symSize: 0x14 }
  - { offsetInCU: 0xA10F, offset: 0xA10F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x13F0, symSize: 0x14 }
  - { offsetInCU: 0xA28C, offset: 0xA28C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x1404, symSize: 0x1A8 }
  - { offsetInCU: 0xA5A0, offset: 0xA5A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x15AC, symSize: 0x9C }
  - { offsetInCU: 0xA65D, offset: 0xA65D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1648, symSize: 0x690 }
  - { offsetInCU: 0xB1EF, offset: 0xB1EF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x90D0, symBinAddr: 0x27E4, symSize: 0x30 }
  - { offsetInCU: 0xB27B, offset: 0xB27B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1CD8, symSize: 0x74 }
  - { offsetInCU: 0xB32B, offset: 0xB32B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1D4C, symSize: 0xB0 }
  - { offsetInCU: 0xB482, offset: 0xB482, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1DFC, symSize: 0x3C }
  - { offsetInCU: 0xB578, offset: 0xB578, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1E38, symSize: 0x29C }
  - { offsetInCU: 0xB8BB, offset: 0xB8BB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x20D4, symSize: 0xD0 }
  - { offsetInCU: 0xB9E9, offset: 0xB9E9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x21A4, symSize: 0xC }
  - { offsetInCU: 0xBAAB, offset: 0xBAAB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x21B0, symSize: 0x22C }
  - { offsetInCU: 0xBD66, offset: 0xBD66, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x23DC, symSize: 0x4 }
  - { offsetInCU: 0xBDAA, offset: 0xBDAA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x23DC, symSize: 0x4 }
  - { offsetInCU: 0xBDC3, offset: 0xBDC3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x23E0, symSize: 0x1B4 }
  - { offsetInCU: 0xBF93, offset: 0xBF93, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E80, symBinAddr: 0x2594, symSize: 0x4 }
  - { offsetInCU: 0xBFD7, offset: 0xBFD7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E80, symBinAddr: 0x2594, symSize: 0x4 }
  - { offsetInCU: 0xC03C, offset: 0xC03C, size: 0x8, addend: 0x0, symName: _Exception, symObjAddr: 0x8E84, symBinAddr: 0x2598, symSize: 0x150 }
  - { offsetInCU: 0xC276, offset: 0xC276, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass018_getReady, symObjAddr: 0x8FD4, symBinAddr: 0x26E8, symSize: 0xE4 }
  - { offsetInCU: 0xC3AB, offset: 0xC3AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass018_check, symObjAddr: 0x90B8, symBinAddr: 0x27CC, symSize: 0x18 }
  - { offsetInCU: 0xC3E2, offset: 0xC3E2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9100, symBinAddr: 0x2814, symSize: 0x358 }
...
